#include "LinkedList.h"

myListPtr NewList (void) {
	return (myListPtr)NewPtrClear (sizeof (myList));
}

void AppendToList (void *itemToInsert, myListPtr listToUse) {
	myListPtr	temp,
				prev,
				newNode;

	if (listToUse != nil) {
		temp = listToUse->next;
		prev = listToUse;
	}

	while (temp != nil) {
		prev = temp;
		temp = temp->next;
	}

	newNode = (myListPtr)NewPtrClear (sizeof (myList));
	if (newNode != nil) {
		newNode->data = itemToInsert;
		prev->next = newNode;
	}
}

void* GetItemNumFromList (long num, myListPtr listToUse) {
	myListPtr	temp = listToUse;
	long		i;

	if (temp != nil) {
		for (i = 0; i < num; i++) {
			if (temp->next != nil) {
				temp = temp->next;
			} else {
				return nil;
			}
		}
		return temp->data;
	} else {
		return nil;
	}
}

