/*
	File:		MoreTextUtils.h

	Contains:	

	Written by:	Pete Gontier (PCG)

	Copyright:	Copyright (c) 1998 Apple Computer, Inc.

	Change History (most recent first):

         <3>      9/9/98    PCG     re-work import and export pragmas
         <2>     7/24/98    PCG	    coddle linker (C++, CFM-68K)
         <1>     6/16/98    PCG     initial checkin
*/


#pragma once

#include "MorePrefix.h"

#include <TextUtils.h>

typedef struct
{
	UInt16				count;
	ConstStr255Param	list [ ];

	// followed by packed strings from 'STR#' resource
}
*tStringListP, **tStringListH;

#ifdef __cplusplus
	extern "C" {
#endif

#pragma import on // for clients
#pragma export on // for building a library

pascal OSErr GetNewStringList			(short resID, tStringListP *newStringList);
pascal OSErr NewStringListHandle		(Handle *); // can use DisposeHandle to dispose
pascal OSErr AppendStringToListHandle	(ConstStr255Param, Handle);
pascal OSErr NewStringPtr				(ConstStr255Param, UInt8 maxSize, StringPtr *result);

#pragma import reset // for clients
#pragma export reset // for building a library

#ifdef __cplusplus
	}
#endif