/*
 * StringListResource.h
 * By Patrick Beard
 */
 
#pragma once

struct StringList {
	short count;
	unsigned char strings[1];
};

typedef struct StringList StringList;

class StringListResource {
public:
	StringListResource(short id);
	~StringListResource();
	
	StringPtr First();
	StringPtr Next();

private:
	void operator delete(void *) {}

private:
	Handle fStrings;
	int fCount;
	unsigned char* pText;
};

