#include "SysTypes.r"
#include "Types.r"

#ifdef POWERPC_BUILD
	#include "CodeFragmentTypes.r"
#endif


resource 'MBAR' (128, "App Menu") {
	{	/* array MenuArray: 2 elements */
		/* [1] */
		128,
		/* [2] */
		129
	}
};

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	getFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	onlyLocalHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	100000,
	100000
};

resource 'MENU' (128, preload) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About DragWindowGrid", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, preload) {
	129,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	{	/* array: 1 elements */
		/* [1] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'ALRT' (128) {
	{68, 64, 202, 398},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'DITL' (128) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{100, 230, 120, 310},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{7, 14, 90, 326},
		StaticText {
			disabled,
			"DragWindowGrid- a sample showing how to "
			"drag a window along grid lines.\n\nNitin G"
			"anatra, DTS\n12/94"
		}
	}
};


#ifdef POWERPC_BUILD
resource 'cfrg' (0,sysheap,locked)
{
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		0,
		0,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"SampleAppPPC"
	}
};
#endif