#include "Types.r"
#include "SysTypes.r"

resource 'SICN' (257, "Menu Icon") {
	{	/* array: 1 elements */
		/* [1] */
		$""
	}
};

resource 'MENU' (5001) {
	5001,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About MyShell", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (5002) {
	5002,
	textMenuProc,
	allEnabled,
	enabled,
	"File",
	{	/* array: 1 elements */
		/* [1] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (5004, "TestMenu") {
	5004,
	textMenuProc,
	allEnabled,
	enabled,
	"Test",
	{	/* array: 1 elements */
		/* [1] */
		"Test WindowShade", noIcon, "T", noMark, plain,
		/* [2] */
		"Hide Shell Window", noIcon, "H", noMark, plain,
		/* [3] */
		"Reveal Shell Window", noIcon, "R", noMark, plain
	}
};

resource 'MENU' (5003, "EditMenu") {
	5003,
	textMenuProc,
	0x7FFFFF80,
	disabled,
	"Edit",
	{	/* array: 7 elements */
		/* [1] */
		"Undo", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain,
		/* [7] */
		"Select All", noIcon, "A", noMark, plain
	}
};

resource 'DITL' (5000, "Target") {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{167, 122, 187, 182},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{6, 6, 149, 306},
		StaticText {
			disabled,
			"MyShell\n\nA simple application for testin"
			"g developer questions.\n\nCopyright  1994"
			" Apple Computer, Inc.\nWritten by Virgini"
			"a (Ginny) McCulloh"
		}
	}
};

resource 'DITL' (6000) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{79, 101, 99, 159},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{16, 60, 66, 264},
		StaticText {
			disabled,
			"You have selected an item from the Test "
			"menu!"
		}
	}
};

resource 'DITL' (6001, purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{80, 100, 100, 158},
		Button {
			enabled,
			"Exit"
		},
		/* [2] */
		{10, 80, 27, 237},
		StaticText {
			disabled,
			"Bad System Version!"
		},
		/* [3] */
		{50, 25, 66, 232},
		StaticText {
			disabled,
			"Requires System 7 or greater."
		}
	}
};

resource 'DITL' (6002) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{81, 100, 101, 158},
		Button {
			enabled,
			"Exit"
		},
		/* [2] */
		{9, 92, 26, 249},
		StaticText {
			disabled,
			"Bad QuickDraw Version!"
		},
		/* [3] */
		{55, 37, 75, 253},
		StaticText {
			disabled,
			"Requires 32 bit Color QuickDraw."
		}
	}
};

resource 'DITL' (6003) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{80, 100, 100, 158},
		Button {
			enabled,
			"Exit"
		},
		/* [2] */
		{10, 91, 27, 248},
		StaticText {
			disabled,
			"Bad QuickDraw Version!"
		},
		/* [3] */
		{53, 34, 70, 256},
		StaticText {
			disabled,
			"Requires 32 bit Color QuickDraw."
		}
	}
};

resource 'ALRT' (5000, "About") {
	{76, 42, 283, 358},
	5000,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (6000, "TestAlert") {
	{59, 78, 174, 346},
	6000,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (6001, "BadSystem", purgeable) {
	{40, 40, 150, 300},
	6001,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (6002, "BadQDVersion") {
	{40, 40, 150, 300},
	6002,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'ALRT' (6003, "NoAppleEvents") {
	{40, 40, 150, 300},
	6002,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'WIND' (2000) {
	{50, 20, 300, 320},
	documentProc,
	invisible,
	goAway,
	0x0,
	"Shell Window"
};

resource 'WIND' (2001) {
	{350, 20, 500, 520},
	documentProc,
	visible,
	goAway,
	0x0,
	"StatusWindow"
};



resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	not32BitCompatible,
	isHighLevelEventAware,
	onlyLocalHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	102400,
	102400
};

