#   File:       Tabs LDEF Demo.MPW.FAT.make
#   Target:     Tabs LDEF Demo.MPW.FAT


MAKEFILE     = "Tabs LDEF Demo.MPW.FAT.make"
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     =
SymPPC      = 
ObjDirPPC   = :ObjectsPPC:
Sym68K      = 
ObjDir68K   = :Objects68K:
Resources	 = :Resources:
C            = SC
PPCC         = MrC

PPCCOptions  = {Includes} {SymPPC} -w off

COptions     = {Includes} {Sym68K} -w off -i "{CIncludes}"

ObjectsPPC  = 
	"{ObjDirPPC}BareBones.c.x" 
	"{ObjDirPPC}Initialize.c.x" 
	"{ObjDirPPC}AppleEvents.c.x" 
	"{ObjDirPPC}Events.c.x" 
	"{ObjDirPPC}Menus.c.x" 
	"{ObjDirPPC}Utilities.c.x" 
	"{ObjDirPPC}Windows.c.x" 
	"{ObjDirPPC}Lists.c.x" 
	#"{ObjDirPPC}Tabs LDEF.c.x" 
	"{ObjDirPPC}PatchListLDEF.c.x"

Objects68K  = 
	"{ObjDir68K}BareBones.c.o" 
	"{ObjDir68K}Initialize.c.o" 
	"{ObjDir68K}AppleEvents.c.o" 
	"{ObjDir68K}Events.c.o" 
	"{ObjDir68K}Menus.c.o" 
	"{ObjDir68K}Utilities.c.o" 
	"{ObjDir68K}Windows.c.o" 
	"{ObjDir68K}Lists.c.o" 
	#"{ObjDir68K}Tabs LDEF.c.o" 
	"{ObjDir68K}PatchListLDEF.c.o"


"Tabs LDEF Demo.MPW.FAT"  {MondoBuild} {ObjectsPPC}
	PPCLink 
		-o {Targ} {SymPPC} 
		{ObjectsPPC} 
		-t 'APPL' 
		-c 'tdem' 
		"{SharedLibraries}InterfaceLib" 
		"{SharedLibraries}StdCLib" 
		"{PPCLibraries}StdCRuntime.o" 
		"{PPCLibraries}PPCCRuntime.o" 
		"{PPCLibraries}PPCToolLibs.o"
		
"Tabs LDEF Demo.MPW.FAT"  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c 'tdem' 
		"{Libraries}MacRuntime.o" 
		"{Libraries}Interface.o"


"Tabs LDEF Demo.MPW.FAT"  {MondoBuild} "{Resources}cfrg.r"
	Rez "{Resources}cfrg.r" -o {Targ} {Includes} -append

"Tabs LDEF Demo.MPW.FAT"  {MondoBuild} "{Resources}Tabs LDEF Demo.r"
	Rez "{Resources}Tabs LDEF Demo.r" -o {Targ} {Includes} -append

"Tabs LDEF Demo.MPW.FAT"  {MondoBuild} "{Resources}Tabs LDEF.FAT.r"
	Rez "{Resources}Tabs LDEF.FAT.r" -o {Targ} {Includes} -append


"{ObjDirPPC}BareBones.c.x"  {MondoBuild} :Sources:BareBones.c
	{PPCC} :Sources:BareBones.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Initialize.c.x"  {MondoBuild} :Sources:Initialize.c
	{PPCC} :Sources:Initialize.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}AppleEvents.c.x"  {MondoBuild} :Sources:AppleEvents.c
	{PPCC} :Sources:AppleEvents.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Events.c.x"  {MondoBuild} :Sources:Events.c
	{PPCC} :Sources:Events.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Menus.c.x"  {MondoBuild} :Sources:Menus.c
	{PPCC} :Sources:Menus.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Utilities.c.x"  {MondoBuild} :Sources:Utilities.c
	{PPCC} :Sources:Utilities.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Windows.c.x"  {MondoBuild} :Sources:Windows.c
	{PPCC} :Sources:Windows.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Lists.c.x"  {MondoBuild} :Sources:Lists.c
	{PPCC} :Sources:Lists.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Tabs LDEF.c.x"  {MondoBuild} ": Tabs LDEF :Tabs LDEF.c"
	{PPCC} ": Tabs LDEF :Tabs LDEF.c" -o {Targ} {PPCCOptions}

"{ObjDirPPC}PatchListLDEF.c.x"  {MondoBuild} :Sources:PatchListLDEF.c
	{PPCC} :Sources:PatchListLDEF.c -o {Targ} {PPCCOptions}


"{ObjDir68K}BareBones.c.o"  {MondoBuild} :Sources:BareBones.c
	{C} :Sources:BareBones.c -o {Targ} {COptions}

"{ObjDir68K}Initialize.c.o"  {MondoBuild} :Sources:Initialize.c
	{C} :Sources:Initialize.c -o {Targ} {COptions}

"{ObjDir68K}AppleEvents.c.o"  {MondoBuild} :Sources:AppleEvents.c
	{C} :Sources:AppleEvents.c -o {Targ} {COptions}

"{ObjDir68K}Events.c.o"  {MondoBuild} :Sources:Events.c
	{C} :Sources:Events.c -o {Targ} {COptions}

"{ObjDir68K}Menus.c.o"  {MondoBuild} :Sources:Menus.c
	{C} :Sources:Menus.c -o {Targ} {COptions}

"{ObjDir68K}Utilities.c.o"  {MondoBuild} :Sources:Utilities.c
	{C} :Sources:Utilities.c -o {Targ} {COptions}

"{ObjDir68K}Windows.c.o"  {MondoBuild} :Sources:Windows.c
	{C} :Sources:Windows.c -o {Targ} {COptions}

"{ObjDir68K}Lists.c.o"  {MondoBuild} :Sources:Lists.c
	{C} :Sources:Lists.c -o {Targ} {COptions}

"{ObjDir68K}Tabs LDEF.c.o"  {MondoBuild} ": Tabs LDEF :Tabs LDEF.c"
	{C} ": Tabs LDEF :Tabs LDEF.c" -o {Targ} {COptions}

"{ObjDir68K}PatchListLDEF.c.o"  {MondoBuild} :Sources:PatchListLDEF.c
	{C} :Sources:PatchListLDEF.c -o {Targ} {COptions}

