/*
	File:		MoreProcesses.h

	Contains:	

	Written by:	Pete Gontier (PCG)

	Copyright:	Copyright (c) 1998 Apple Computer, Inc.

	Change History (most recent first):

         <3>      9/9/98    PCG     re-work import and export pragmas
         <2>     7/24/98    PCG	    coddle linker (C++, CFM-68K)
         <1>     6/16/98    PCG     initial checkin
*/


#pragma once

#include "MorePrefix.h"

#include <Processes.h>

enum { kSignatureFinder = 'MACS' };

#ifdef __cplusplus
	extern "C" {
#endif

#pragma import on // for clients
#pragma export on // for building a library

pascal OSErr FindProcessBySignature		(OSType, ProcessSerialNumber *);
pascal OSErr GetSomeProcessInfo			(const ProcessSerialNumber *, ProcessInfoRec *);

#pragma import reset // for clients
#pragma export reset // for building a library

#ifdef __cplusplus
	}
#endif
