/*
	File:		MoreToolbox.h

	Contains:	

	Written by:	Pete Gontier (PCG)

	Copyright:	Copyright (c) 1998 Apple Computer, Inc.

	Change History (most recent first):

         <4>      9/9/98    PCG     re-work import and export pragmas
         <3>     7/24/98    PCG	    coddle linker (C++, CFM-68K)
         <2>     7/24/98    PCG	    eliminate dependency on 'qd'
         <1>     6/16/98    PCG     initial checkin
*/


#pragma once

#include "MorePrefix.h"

#include <QuickDraw.h>

#ifdef __cplusplus
	extern "C" {
#endif

#pragma import on // for clients
#pragma export on // for building a library

pascal OSStatus		InitMac				(QDGlobalsPtr);
pascal void			Beep				(void);
pascal long			GetSystemVersion	(void);
pascal Boolean		HaveAppleEvents		(void);
pascal OSErr		ShowWatchCursor		(QDGlobalsPtr);

#pragma import reset // for clients
#pragma export reset // for building a library

#ifdef __cplusplus
	}
#endif
