/*************************************************************************************
#
#	CONDITIONALS
#
#   Like MoofWars, we'll define a few conditional macros that assist in configuring how
#   the application actually works.  For the moment, we'll just have one, the debugging macro.
#
#
#	qDebugging  -- Whether or not additional debugging code should be inserted.  With this
#   turned on, most errors will DebugStr almost immediately and return errors as the error
#   propagates up the calling chain.  This is slower, but if you've found a weird bug,
#   this is the fastest way to replicate it.
#
*************************************************************************************/

#ifndef __APPCONDITIONALS__
#define __APPCONDITIONALS__

#define qDebugging 1

#endif // __APPCONDITIONALS__