#include "types.r"
resource 'MENU' (131) {
	131,
	textMenuProc,
	0x7FFFFFD7,
	enabled,
	"Test Stuff",
	{	/* array: 3 elements */
		/* [1] */
		"Launch a local file", noIcon, noKey, noMark, plain,
		/* [2] */
		"Open a local Finder window", noIcon, noKey, noMark, plain,
		/* [3] */
		"Launch a remote file", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (128, preload) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, preload) {
	129,
	textMenuProc,
	0xE00,
	enabled,
	"File",
	{	/* array: 10 elements */
		/* [1] */
		"New", noIcon, "N", noMark, plain,
		/* [2] */
		"Open", noIcon, "O", noMark, plain,
		/* [3] */
		"Close", noIcon, "W", noMark, plain,
		/* [4] */
		"Save", noIcon, "S", noMark, plain,
		/* [5] */
		"Save As...", noIcon, noKey, noMark, plain,
		/* [6] */
		"-", noIcon, noKey, noMark, plain,
		/* [7] */
		"Page Setup...", noIcon, noKey, noMark, plain,
		/* [8] */
		"Print...", noIcon, "P", noMark, plain,
		/* [9] */
		"-", noIcon, noKey, noMark, plain,
		/* [10] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (130, preload) {
	130,
	textMenuProc,
	0x3400,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'DITL' (128, purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{164, 115, 184, 185},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{0, 10, 70, 287},
		StaticText {
			disabled,
			"FinderOpenSel 1.0.1\n\nDemonstrates using "
			"Finder OpenSelection events"
		},
		/* [3] */
		{76, 3, 154, 301},
		StaticText {
			disabled,
			"FredWare from Apple Developer Technical "
			"Support, ADS group.\nCopyright   1991 - "
			"1992 Apple Computer Inc.\nWritten by C.K."
			" Haun <TR>."
		},
		/* [4] */
		{10, 290, 42, 322},
		Icon {
			disabled,
			129
		}
	}
};

resource 'DITL' (129, purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{170, 90, 190, 148},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 40, 62, 204},
		StaticText {
			disabled,
			"Help information should go here"
		}
	}
};

resource 'DITL' (130, purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{80, 100, 100, 158},
		Button {
			enabled,
			"Exit"
		},
		/* [2] */
		{10, 80, 27, 237},
		StaticText {
			disabled,
			"Bad System Version!"
		},
		/* [3] */
		{50, 25, 66, 232},
		StaticText {
			disabled,
			"Requires System 7 or greater."
		}
	}
};

resource 'DITL' (131) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{110, 370, 130, 428},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{110, 300, 130, 358},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{10, 40, 41, 385},
		StaticText {
			disabled,
			"Enter full path to file you want to laun"
			"ch remotely (i.e. HD80:MPW:MPW Shell)"
		},
		/* [4] */
		{50, 30, 88, 388},
		EditText {
			enabled,
			""
		}
	}
};

resource 'ALRT' (128, purgeable) {
	{40, 40, 227, 387},
	128,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'ALRT' (130, purgeable) {
	{40, 40, 149, 296},
	130,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'DLOG' (129, "Sample Help Dialog", purgeable) {
	{34, 40, 234, 280},
	dBoxProc,
	visible,
	goAway,
	0x0,
	129,
	""
};

resource 'DLOG' (131) {
	{40, 40, 198, 474},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	131,
	""
};

resource 'MBAR' (128) {
	{	/* array MenuArray: 4 elements */
		/* [1] */
		128,
		/* [2] */
		129,
		/* [3] */
		130,
		/* [4] */
		131
	}
};

resource 'WIND' (128, purgeable) {
	{38, 0, 340, 512},
	documentProc,
	visible,
	noGoAway,
	0x0,
	"FinderOpenSel"
};

resource 'SIZE' (-1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	100000,
	100000
};

resource 'STR ' (128) {
	"Simple Help..."
};

data 'TEXT' (128) {
	$"5468 6973 2073 616D 706C 6520 7365 6E64"            /* This sample send */
	$"7320 4669 6E64 6572 2027 4F70 656E 2053"            /* s Finder 'Open S */
	$"656C 6563 7469 6F6E 2720 6576 656E 7473"            /* election' events */
	$"2E0D 5468 6572 6520 6172 6520 7468 7265"            /* .There are thre */
	$"6520 6D65 6E75 2069 7465 6D73 2075 6E64"            /* e menu items und */
	$"6572 2074 6865 2054 6573 7420 5374 7566"            /* er the Test Stuf */
	$"6620 6D65 6E75 2066 6F72 2079 6F75 2074"            /* f menu for you t */
	$"6F20 6578 7065 7269 6D65 6E74 2077 6974"            /* o experiment wit */
	$"682E 0D54 6865 2066 7273 7420 6F6E 652C"            /* h.The frst one, */
	$"2027 4C61 756E 6368 2061 206C 6F63 616C"            /*  'Launch a local */
	$"2066 696C 6527 2C20 7769 6C6C 2073 656E"            /*  file', will sen */
	$"6420 616E 204F 7065 6E20 5365 6C65 6374"            /* d an Open Select */
	$"696F 6E20 6576 656E 7420 746F 2074 6865"            /* ion event to the */
	$"2046 696E 6465 7220 666F 7220 7468 6520"            /*  Finder for the  */
	$"6669 6C65 2079 6F75 2073 656C 6563 7420"            /* file you select  */
	$"696E 2074 6865 2053 7461 6E64 6172 6420"            /* in the Standard  */
	$"4669 6C65 2062 6F78 2074 6861 7420 7769"            /* File box that wi */
	$"6C6C 2061 7070 6561 722E 2020 5468 6973"            /* ll appear.  This */
	$"2069 7320 7468 6520 6576 656E 7420 7374"            /*  is the event st */
	$"796C 6520 796F 7527 6C6C 2075 7365 2066"            /* yle you'll use f */
	$"6F72 2020 6C61 756E 6368 696E 6720 6170"            /* or  launching ap */
	$"706C 6963 6174 696F 6E73 2C20 6F72 2073"            /* plications, or s */
	$"696D 756C 6174 696E 6720 6120 646F 6375"            /* imulating a docu */
	$"6D65 6E74 2069 636F 6E20 6265 696E 6720"            /* ment icon being  */
	$"7365 6C65 6374 6564 2061 6E64 2027 4F70"            /* selected and 'Op */
	$"656E 2720 6265 696E 6720 7365 6C65 6374"            /* en' being select */
	$"6564 2066 726F 6D20 7468 6520 4669 6E64"            /* ed from the Find */
	$"6572 2046 696C 6520 6D65 6E75 2E20 2054"            /* er File menu.  T */
	$"6869 7320 6576 656E 7420 7769 6C6C 206E"            /* his event will n */
	$"6F74 2063 6861 6E67 6520 616E 7920 4669"            /* ot change any Fi */
	$"6E64 6572 2077 696E 646F 7773 2E0D 5468"            /* nder windows.Th */
	$"6520 7365 636F 6E64 2073 656C 6563 7469"            /* e second selecti */
	$"6F6E 2027 4F70 656E 2061 206C 6F63 616C"            /* on 'Open a local */
	$"2046 696E 6465 7220 7769 6E64 6F77 2720"            /*  Finder window'  */
	$"7769 6C6C 206E 6F74 2061 6374 7561 6C6C"            /* will not actuall */
	$"7920 6F70 656E 2061 6E20 6170 706C 6963"            /* y open an applic */
	$"6174 696F 6E20 6F72 2064 6F63 756D 656E"            /* ation or documen */
	$"742C 2069 6E73 7465 6164 2069 7420 7769"            /* t, instead it wi */
	$"6C6C 206F 7065 6E20 7468 6520 4669 6E64"            /* ll open the Find */
	$"6572 2077 696E 646F 7720 636F 6E74 6169"            /* er window contai */
	$"6E69 6E67 2074 6865 2066 696C 6520 796F"            /* ning the file yo */
	$"7520 6368 6F6F 7365 2069 6E20 7468 6520"            /* u choose in the  */
	$"5374 616E 6461 7264 2046 696C 6520 626F"            /* Standard File bo */
	$"782E 200D 5468 6520 7468 6972 642C 274C"            /* x. The third,'L */
	$"6175 6E63 6820 6120 7265 6D6F 7465 2066"            /* aunch a remote f */
	$"696C 6527 2C20 616C 6C6F 7773 2079 6F75"            /* ile', allows you */
	$"2074 6F20 6C61 756E 6368 2061 2061 7070"            /*  to launch a app */
	$"6C69 6361 7469 6F6E 206F 7220 646F 6375"            /* lication or docu */
	$"6D65 6E74 206F 6E20 736F 6D65 206F 6E65"            /* ment on some one */
	$"2065 6C73 6527 7320 6D61 6368 696E 652E"            /*  else's machine. */
	$"0D59 6F75 276C 6C20 6265 2070 726F 6D70"            /* You'll be promp */
	$"7465 6420 666F 7220 7468 6520 6675 6C6C"            /* ted for the full */
	$"2070 6174 6820 6E61 6D65 206F 6620 7468"            /*  path name of th */
	$"6520 6669 6C65 2C20 616E 6420 7468 656E"            /* e file, and then */
	$"2061 736B 6564 2074 6F20 6272 6F77 7365"            /*  asked to browse */
	$"2066 6F72 2074 6865 2046 696E 6465 7220"            /*  for the Finder  */
	$"6F6E 2074 6865 206D 6163 6869 6E65 2079"            /* on the machine y */
	$"6F75 2077 6973 6820 746F 206C 6175 6E63"            /* ou wish to launc */
	$"6820 7468 6520 6170 7020 6F6E 2E0D 4173"            /* h the app on.As */
	$"206C 6F6E 6720 6173 2079 6F75 206B 6E6F"            /*  long as you kno */
	$"7720 7468 6520 6675 6C6C 2070 6174 682C"            /* w the full path, */
	$"2061 6E64 2063 616E 2050 726F 6772 616D"            /*  and can Program */
	$"204C 696E 6B20 2867 7565 7374 206F 7220"            /*  Link (guest or  */
	$"6675 6C6C 7920 7175 616C 6966 6965 6429"            /* fully qualified) */
	$"2074 6865 2061 7070 6C69 6361 7469 6F6E"            /*  the application */
	$"2077 696C 6C20 6C61 756E 6368 206F 6E20"            /*  will launch on  */
	$"7468 6520 6F74 6865 7220 6D61 6368 696E"            /* the other machin */
	$"652E"                                               /* e. */
};

resource 'STR#' (128) {
	{	/* array StringArray: 2 elements */
		/* [1] */
		"Select a machine and Finder",
		/* [2] */
		"This Finder"
	}
};

data 'vers' (1) {
	$"0101 8000 0000 0531 2E30 2E31 4476 2031"            /* ......1.0.1Dv 1 */
	$"2E30 2E31 2C20 A920 3139 3931 2D31 3939"            /* .0.1,  1991-199 */
	$"3220 4170 706C 6520 436F 6D70 7574 6572"            /* 2 Apple Computer */
	$"2049 6E63 2E20 2053 6372 6177 6C65 6420"            /*  Inc.  Scrawled  */
	$"6279 2043 2E4B 2E20 4861 756E 203C 5452"            /* by C.K. Haun <TR */
	$"3E"                                                 /* > */
};

data 'vers' (2) {
	$"0101 8000 0000 0531 2E30 2E31 0776 2031"            /* ......1.0.1.v 1 */
	$"2E30 2E31"                                          /* .0.1 */
};

resource 'ICON' (129) {
	$"0007 F000 001C 1C00 0030 0600 0040 0900"
	$"0EAC CC80 09A9 B7C0 0D6D 3570 1F00 0170"
	$"1200 0030 127C 3E2C 3C0C B01F 2405 2018"
	$"6401 0018 7402 0036 140E 0032 3C18 0032"
	$"2C1F C011 2C00 0019 2455 541F 4655 543C"
	$"4640 0434 2B5F FC76 1940 0456 19D5 54D4"
	$"18D5 55B2 1C55 5512 3875 5612 785D 5C11"
	$"D857 F40D A854 5405 B850 1404 F040 0404"
};

