#   File:       ProgressBars.MPW.68K.make
#   Target:     ProgressBars.MPW.68K


MAKEFILE     = "ProgressBars.MPW.68K.make"
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     =
Sym68K      = 
ObjDir68K   = :Objects:
Resources	 = :Resources:
C            = SC
COptions     = {Includes} {Sym68K} -w off -i "{CIncludes}"

Objects68K  = 
	"{ObjDir68K}BareBones.c.o" 
	"{ObjDir68K}Initialize.c.o" 
	"{ObjDir68K}AppleEvents.c.o" 
	"{ObjDir68K}Events.c.o" 
	"{ObjDir68K}Menus.c.o" 
	"{ObjDir68K}Utilities.c.o" 
	"{ObjDir68K}Windows.c.o" 
	"{ObjDir68K}NonThreadedProgress.c.o" 
	"{ObjDir68K}ThreadedProgress.c.o"


"ProgressBars.MPW.68K"  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c 'prgr' 
		"{Libraries}MacRuntime.o" 
		"{Libraries}Interface.o"


"ProgressBars.MPW.68K"  {MondoBuild} "{Resources}ProgressBars.r"
	Rez "{Resources}ProgressBars.r" -o {Targ} {Includes} -append


"{ObjDir68K}BareBones.c.o"  {MondoBuild} :Sources:BareBones.c
	{C} :Sources:BareBones.c -o {Targ} {COptions}

"{ObjDir68K}Initialize.c.o"  {MondoBuild} :Sources:Initialize.c
	{C} :Sources:Initialize.c -o {Targ} {COptions}

"{ObjDir68K}AppleEvents.c.o"  {MondoBuild} :Sources:AppleEvents.c
	{C} :Sources:AppleEvents.c -o {Targ} {COptions}

"{ObjDir68K}Events.c.o"  {MondoBuild} :Sources:Events.c
	{C} :Sources:Events.c -o {Targ} {COptions}

"{ObjDir68K}Menus.c.o"  {MondoBuild} :Sources:Menus.c
	{C} :Sources:Menus.c -o {Targ} {COptions}

"{ObjDir68K}Utilities.c.o"  {MondoBuild} :Sources:Utilities.c
	{C} :Sources:Utilities.c -o {Targ} {COptions}

"{ObjDir68K}Windows.c.o"  {MondoBuild} :Sources:Windows.c
	{C} :Sources:Windows.c -o {Targ} {COptions}

"{ObjDir68K}NonThreadedProgress.c.o"  {MondoBuild} :Sources:NonThreadedProgress.c
	{C} :Sources:NonThreadedProgress.c -o {Targ} {COptions}

"{ObjDir68K}ThreadedProgress.c.o"  {MondoBuild} :Sources:ThreadedProgress.c
	{C} :Sources:ThreadedProgress.c -o {Targ} {COptions}

